Subject: [EAI] return A-label?

From: "Jiankang YAO" <[email-masked]>
Date: Fri, 14 Jan 2011 17:31:22 +0800

----- Original Message ----- 
From: "Dave CROCKER" <[email-masked]>
To: "Apps Discuss" <[email-masked]>; <[email-masked]>; <[email-masked]>; "SM" <[email-masked]>; <[email-masked]>
Sent: Thursday, December 23, 2010 2:04 AM
Subject: [apps-discuss] (private) draft review of:draft-ietf-eai-rfc5336bis-07.txt (v3)

....
>
>>                        Any domain names that are to be
>>    compared to local strings SHOULD be checked for validity and then
>>    MUST be compared as specified in section 3 of [RFC5891].
> 
> { Dictating use of RFC5891 is within scope.  Dictating validation seems not to 
> be.  So...}
> 

 section 3.6.1.  The Initial SMTP Exchange
"
   When an SMTP connection is opened, the server normally sends a
   "greeting" response consisting of the 220 response code and some
   information.  The client then sends the EHLO command.  Since the
   client cannot know whether the server supports UTF8SMTPbis until
   after it receives the response from EHLO, the client must send only
   ASCII (LDH label [RFC5890] or A-label) domains in the EHLO command
   and that, if the server provides domain names in the EHLO response,
   they must be in the form of LDH labels or A-labels.

"

Based on Dave's comments, it seems that we have to remove the domain label validation requirement.

now the problem is that

if we remove this requirement,
in case that the server provides some strings that are not valid IDN, the strings can not be transformed into the A-label form.
section 3.6.1 requires that "if the server provides domain names in the EHLO response,
   they must be in the form of LDH labels or A-labels."
since the server can not get the A-labels from the invalid IDN string, what kind of ACE strings  should be returned to the client?

Jiankang Yao